Bug 144389 - CAN-2004-1056 insufficient locking checks in DRM code
Summary: CAN-2004-1056 insufficient locking checks in DRM code
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,public=20041109
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-06 18:46 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-551
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 13:16:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:529 normal SHIPPED_LIVE Important: kernel security update 2005-08-25 04:00:00 UTC
Red Hat Product Errata RHSA-2005:551 normal SHIPPED_LIVE Important: kernel security update 2005-08-25 04:00:00 UTC

Description Josh Bressers 2005-01-06 18:46:30 UTC
*** This bug has been split off bug 138534 ***

------- Original comment by Josh Bressers (Security Response Team) on 2004.11.09
15:00 -------

Stefan Dirsch reported to the freedesktop.org bugzilla an issue with
permissions within the DRM code.

See this url for more information, including a patch.
https://freedesktop.org/bugzilla/show_bug.cgi?id=1803

This issue should also affect RHEL2.1

Comment 1 Jason Baron 2005-03-31 19:35:39 UTC
hmmm, this isn't in upstream 2.4, i wonder why.

Comment 2 Don Howard 2005-07-08 07:54:23 UTC
A patch addressing this issue has been committed to the RHEL2.1 tree. (kernel
version 2.4.9-e64.1)

Comment 5 Red Hat Bugzilla 2005-08-25 13:16:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-551.html



Note You need to log in before you can comment on or make changes to this bug.